Skip to main content
GET
/
v1
/
embed
/
dashboard
/
{publicId}
Get an embeddable dashboard
curl --request GET \
  --url https://{tenant}.cubecloud.dev/api/v1/embed/dashboard/{publicId} \
  --header 'Authorization: <api-key>'
{
  "allowEmbed": true,
  "config": {
    "description": "<string>",
    "layout": {
      "breakpoints": {
        "lg": 123,
        "md": 123,
        "sm": 123,
        "xs": 123,
        "xxs": 123
      },
      "cols": {
        "lg": 123,
        "md": 123,
        "sm": 123,
        "xs": 123,
        "xxs": 123
      },
      "containerPadding": [
        123
      ],
      "margin": [
        123
      ],
      "rowHeight": 123
    },
    "settings": {},
    "theme": {},
    "title": "<string>",
    "widgets": [
      {
        "id": "<string>",
        "position": {
          "h": 123,
          "w": 123,
          "x": 123,
          "y": 123
        },
        "config": {},
        "responsiveLayouts": {
          "lg": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "md": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "sm": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "xs": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          },
          "xxs": {
            "h": 123,
            "w": 123,
            "x": 123,
            "y": 123
          }
        },
        "style": {}
      }
    ]
  },
  "deploymentId": 123,
  "id": 123,
  "publicId": "<string>",
  "reportSnapshots": [
    {
      "id": 123,
      "reportId": 123,
      "versionNumber": 123,
      "description": "<string>",
      "meta": {},
      "name": "<string>",
      "preferences": {
        "columnFormats": {}
      },
      "spec": "<string>",
      "sqlQuery": "<string>",
      "title": "<string>"
    }
  ],
  "versionId": 123,
  "versionNumber": 123,
  "workbookId": 123,
  "createdBy": 123,
  "description": "<string>",
  "title": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Send Authorization: Api-Key <YOUR_API_KEY>.

Path Parameters

publicId
string
required

Response

200 - application/json
allowEmbed
boolean
required
config
object
required
deploymentId
integer
required
id
integer
required
publicId
string
required
reportSnapshots
object[]
required
status
enum<string>
required
Available options:
draft,
published,
archived
versionId
integer
required
versionNumber
integer
required
workbookId
integer
required
createdBy
integer | null
description
string | null
title
string | null